/*****************************************************************************************************
******************************************************************************************************
**                                                                                                  **
**                                BANGLADESH CONSUMPTION AGGREGATES 2016                            **
**                                                                                                  **
** COUNTRY			BANGLADESH
** COUNTRY ISO CODE	BGD
** YEAR				2016
** SURVEY NAME		HOUSEHOLD INCOME AND EXPENDITURE SURVEY 		
** SURVEY AGENCY	BANGLADESH BUREAU OF STATISTICS
** Modified	        01/08/2017                                                                                               
******************************************************************************************************
*****************************************************************************************************/
/*Run all the do files */
/*****************************************************************************************************
*                                                                                                    *
                                   INITIAL COMMANDS
*                                                                                                    *
*****************************************************************************************************/


** INITIAL COMMANDS
	clear
    set more off
    set max_memory ., perm
	
/*****************************************************************************************************
*                                                                                                    *
                                              ROUTE								
*                                                                                                    *
*****************************************************************************************************/


*Change next path to your current directory
*Path
glo path         "..."


*Input
glo input2010    "...\other files\2010"
glo input        "...\Data"


*Output
glo output       "..."


*do files
glo do           "..."


/*****************************************************************************************************
*                                                                                                    *
                                          RUN DO FILES								
*                                                                                                    *
*****************************************************************************************************/


do "$do/01a_price adjustment food.do"
do "$do/01b_price adjustment non-food.do"
do "$do/02_health and education expenditure.do"
do "$do/03_household expenditure.do"
do "$do/04_rent adjustment.do"
do "$do/05a_budget shares annual.do"
do "$do/05b_budget shares quarters.do"
do "$do/06_Household Income.do"
do "$do/07_poverty database.do"



